/*
  Button

  Turns on and off a light emitting diode(LED) connected to digital pin 13,
  when pressing a pushbutton attached to pin 2.

  The circuit:
  - LED attached from pin 13 to ground
  - pushbutton attached to pin 2 from +5V
  - 10K resistor attached to pin 2 from ground

  - Note: on most Arduinos there is already an LED on the board
    attached to pin 13.

  created 2005
  by DojoDave <http://www.0j0.org>
  modified 30 Aug 2011
  by Tom Igoe

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/Button
*/
/*

// constants won't change. They're used here to set pin numbers:
const int buttonPin = 0;     // the number of the pushbutton pin
const int ledPin =  1;      // the number of the LED pin

// variables will change:
int buttonState = 0;         // variable for reading the pushbutton status

void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT_PULLUP);
}

void loop() {
  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState == LOW) {
    // turn LED on:
    digitalWrite(ledPin, HIGH);
  } else {
    // turn LED off:
    digitalWrite(ledPin, LOW);
  }
}

*/

// variables will change:
int buttonState = 0;         // variable for reading the pushbutton status

void setup() {
  // initialize the LED pin as an output:
   PORTA.DIR |= 0b10000000; //PortA7 (Arduino #7 PIN)
  
  // initialize the pushbutton pin as an input:
   PORTA.DIR |= 0b01000000; //PortA6 (Arduino #6 PIN)
   PORTA.PIN6CTRL |= 0b00001000 ;//ButtonPin Pullup 
}

void loop() {

   // read the state of the pushbutton value:
  buttonState = PORTA.IN |= 0b01000000;
  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState == 0b01000000) {
    // turn LED on:
    PORTA.OUT |= 0b10000000;//PortA7 (Arduino #7 PIN)  set as High
  } else {
    // turn LED off:
    PORTA.OUT &= ~0b10000000;//PortA7 (Arduino #7 PIN) set as Low
  }
}

  
